Get the results of the scheduled transactions report

Body·
application/json
  • partnerId
    Type: string | nullFormat: uuid

    The partner to filter by

  • partnerRelationship
    Type: integerenum

    Integer numbers.

    values
    • Client = 1
    • Carrier = 2
  • scheduleDateFrom
    Type: stringFormat: date

    The start date in the schedule date range

  • scheduleDateTo
    Type: stringFormat: date

    The end date in the schedule date range

  • scheduleStatus
    Type: integerenum

    Integer numbers.

    values
    • Draft = 1
    • Approved = 2
Responses
  • application/json
Request Example for post/v1/reports/scheduled-transactions
curl https://api.consignlyhq.com/v1/reports/scheduled-transactions \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "scheduleDateFrom": "date (YYYY-MM-DD)",
  "scheduleDateTo": "date (YYYY-MM-DD)",
  "scheduleStatus": "enum (Draft = 1, Approved = 2)",
  "partnerRelationship": "enum (Client = 1, Carrier = 2)",
  "partnerId": null
}'
[
  {
    "partnerName": null,
    "scheduleDate": "date (YYYY-MM-DD)",
    "scheduleStatus": "enum (Draft = 1, Approved = 2)",
    "referenceNumber": null,
    "description": null,
    "transactionDate": "date (YYYY-MM-DD)",
    "transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
    "activityName": null,
    "activityCode": null,
    "consignmentNumber": null,
    "containerNumber": null,
    "consignmentReferenceNumber": null,
    "revenueAccountCode": null,
    "costCentreCode": null,
    "particulars": null,
    "taxRatePercent": 1,
    "quantity": 1,
    "chargeRateExclTax": 1,
    "chargeApplication": "enum (Rate = 1, Fee = 2)",
    "baseChargeExclTax": null,
    "minChargeExclTax": null,
    "maxChargeExclTax": null,
    "amountExclTax": 1
  }
]